#define FLASH_START_ADDRESS 0x4000000


void Setup_for_flash();

void Write_FLASH(int byte_address, int data);

int Read_FLASH_MASK(int byte_address, int mask);

void erase_sector(int address);

void Write_Parallel_Port(int address,int data);

int Read_FLASH(int byte_address);